Skip to main content
GET
/
settlement-calendar
Settlement Calendar
curl --request GET \
  --url https://api.qfex.com/settlement-calendar
import requests

url = "https://api.qfex.com/settlement-calendar"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.qfex.com/settlement-calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "$schema": "https://api.qfex.com/schemas/SettlementCalendarEntry.json",
  "expiration": "2026-04-21T21:30:00Z",
  "active_until": "2026-04-13T21:30:00Z",
  "future_symbol": "CLK6",
  "qfex_symbol": "CL-USD"
}
{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Query Parameters

symbol
string
required

QFEX symbol to resolve, for example CL-USD, US100-USD, COPPER-USD, or NATGAS-USD.

Example:

"CL-USD"

time
string<date-time>

Optional timestamp to resolve against the settlement calendar. If omitted, QFEX returns the currently active dated future.

Example:

"2026-04-14T00:00:00Z"

Response

OK

active_until
string<date-time>
required

Last timestamp at which this dated future remains active for oracle and settlement purposes for the QFEX symbol.

Example:

"2026-04-13T21:30:00Z"

expiration
string<date-time>
required

Expiration timestamp of the underlying dated future contract.

Example:

"2026-04-21T21:30:00Z"

future_symbol
string
required

Dated futures contract used for pricing, for example CLK6 or NQM6.

Example:

"CLK6"

qfex_symbol
string
required

QFEX perpetual symbol whose oracle references the dated future.

Example:

"CL-USD"

$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.qfex.com/schemas/SettlementCalendarEntry.json"